import React from "react";
import { IconBadge } from "@ess-ics/ce-ui-common";
import { HostStatusIcon } from "./HostStatusIcon";

export function HostBadge({ host, status, ...rest }) {
  return (
    <IconBadge
      icon={<HostStatusIcon hostStatus={status} />}
      title={host.fqdn}
      subtitle={host.network || "---"}
      {...rest}
    />
  );
}
